PHP-инклюдинг в Advanced Login

Дата публикации:
03.04.2007
Всего просмотров:
1903
Опасность:
Высокая
Наличие исправления:
Инстуркции по устранению
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Advanced Login 0.x
Уязвимые версии: Advanced Login 0.76, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "root" в сценарии engine/db/profiledit.php. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/login/engine/db/profiledit.php?root=[file]

URL производителя: www.msxstudios.de/index.php?p=index_advlogin

Решение: Установите последнюю версию (0.9 Public Beta 2) с сайта производителя.

или введите имя

CAPTCHA